%global pkgname django-piston
Name:           python-django-piston
Version:        0.2.3
Release:        8%{?dist}
Summary:        A mini-framework for Django for creating RESTful APIs

Group:          Development/Languages
License:        BSD
URL:            http://bitbucket.org/jespern/django-piston/
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
Source1:        %{name}-testapp.tar.bz2
#md5=8b040d426793cf22ce89543e059cd6e1

# https://bitbucket.org/jespern/django-piston/pull-request/25/compatibility-fix-for-json-emitter-with/diff
Patch0:         %{name}-django15-json.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools 
BuildRequires:  python-zc-buildout
# for test
BuildRequires:  python-django
BuildRequires:  procps-ng

Requires:       python-django

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < 0.2.3-3

%description
Piston is a relatively small Django application that lets you
create application programming interfaces (API) for your sites.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
rm -rf django_piston.egg-info

%setup -q -T -D -a 1 -n %{pkgname}-%{version}

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
cd %{name}-testapp
PYTHONPATH=.. %{__python} manage.py runserver &
sleep 2
test `curl -s http://localhost:8000/api/calc/8/2` -eq 4
test `curl -s http://localhost:8000/api/calc/8+2` -eq 10
test `curl -s http://localhost:8000/api/calc/8*2` -eq 16

# kill the server and all it's forks
for PID in `ps aux | grep 'manage.py runserver' | grep -v grep | awk '{print $2}'`; do
  kill $PID
done

cd -

%files
%defattr(-,root,root,-)
%doc 
%{python_sitelib}/piston
%{python_sitelib}/django_piston-%{version}-py2.?.egg-info
%{python_sitelib}/django_piston-%{version}-py2.?-nspkg.pth

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 05 2013 Miro Hrončok <mhroncok@redhat.com> - 0.2.3-7
- Added test
- Fixed bogus date in %%changelog

* Wed Jun 05 2013 Miro Hrončok <mhroncok@redhat.com> - 0.2.3-6
- Changed Requires Django to python-django
- Added Django 1.5 compatibility patch

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.3-3
- more spec cleanup
- correct %%Obsoletes:

* Tue Mar 06 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.3-2
- rename to python-django-piston
- spec cleanup

* Thu Jan 05 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.3-1
- update to 0.2.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 14 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.2.2-1
- Initial RPM release
